Name:      perl-Apache-DBI
Version:   1.12
Release:    2%{?dist}
Summary:   Persistent database connections with Apache/mod_perl

License:   GPL+ or Artistic
URL:       https://metacpan.org/release/Apache-DBI
Source0:   https://cpan.metacpan.org/authors/id/P/PH/PHRED/Apache-DBI-%{version}.tar.gz

BuildArch: noarch
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(Test::More)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(DBD::mysql)
BuildRequires: perl(Apache)
BuildRequires: perl(Apache2::Access)
BuildRequires: perl(Apache2::Const)
BuildRequires: perl(Apache2::Log)
BuildRequires: perl(Apache2::Module)
BuildRequires: perl(Apache2::RequestRec)
BuildRequires: perl(Apache2::RequestUtil)
BuildRequires: perl(Apache2::ServerUtil)
BuildRequires: perl(Apache::Constants)
BuildRequires: perl(Carp)
BuildRequires: perl(DBI)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(IPC::SysV)
BuildRequires: perl(ModPerl::Util)
BuildRequires: perl(constant)
BuildRequires: perl(mod_perl2)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(DBD::mysql)
BuildRequires: perl(Test::More)


%{?perl_default_filter}


%description
This is version %{version} of Apache::AuthDBI and Apache::DBI.

These modules are supposed to be used with the Apache server together with 
an embedded perl interpreter like mod_perl. They provide support for basic 
authentication and authorization as well as support for persistent database 
connections via Perl's Database Independent Interface (DBI). 

o DBI.pm provides persistent database connections: 
  - connections can be established during server-startup 
  - configurable rollback to ensure data integrity 
  - configurable verification of the connections to avoid time-outs. 

o AuthDBI.pm provides authentication and authorization: 
  - optional shared cache for passwords to minimize database load 
  - configurable cleanup-handler deletes outdated entries from the cache 

Apache::DBI has been in widespread deployment on many platforms for
years.  Apache::DBI is one of the most widely used mod_perl related
modules.  It can be considered stable.

%prep
%setup -q -n Apache-DBI-%{version}
%{__perl} -pi -e 's|/usr/local/bin/perl|%{__perl}|' eg/startup.pl
chmod 644 eg/startup.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README TODO traces.txt eg/
%{_mandir}/man3/Apache*
%{perl_vendorlib}/Apache

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.12-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-1
- initial build
